- Qt 5.15
- Qt 3D
- C++ Classes
- QAnimationAspect
- Qt 5.15.11 Reference Documentation

# QAnimationAspect Class

class Qt3DAnimation::QAnimationAspect

Provides key-frame animation capabilities to Qt 3D. More...

Header: | #include <QAnimationAspect>
qmake: | QT += 3danimation
Since: | Qt 5.9
Inherits: | Qt3DCore::QAbstractAspect

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Public Functions

| QAnimationAspect(QObject *parent = nullptr)

## Detailed Description

QAnimationAspect provides key-frame animation to Qt 3D.

## Member Function Documentation

### QAnimationAspect::QAnimationAspect(QObject *parent = nullptr)

Constructs a new QAnimationAspect with parent.